Name:          deltarpm
Version:       3.6.3
Release:       1mamba
Summary:       Create deltas between rpms
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.novell.com/products/linuxpackages/opensuse/deltarpm.html
Source:        https://github.com/rpm-software-management/deltarpm.git/%{version}/deltarpm-%{version}.tar.bz2
#Source:        ftp://ftp.suse.com/pub/projects/deltarpm/deltarpm-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: liblzma-devel
BuildRequires: libperl
BuildRequires: librpm-devel
BuildRequires: libzstd-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: librpm-devel >= 4.16.1.2-1mamba
BuildRequires: rpm-devel >= 1:4.14.2.1

%description
A deltarpm contains the difference between an old and a new version of a rpm, which makes it possible to recreate the new rpm from the deltarpm and the old one. You don't have to have a copy of the old rpm, deltarpms can also work with installed rpms.

%package -n python-deltarpm
Group:         System/Libraries
Summary:       Python bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-deltarpm
Python bindings for %{name}.

%package -n python-deltarpm-py3
Group:         System/Libraries
Summary:       Python 3 bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-deltarpm-py3
Python 3 bindings for %{name}.

%debug_package

%prep
%setup -q

%build
%make \
   CFLAGS="-I%{_includedir}/rpm" \
   PYTHONS="python%{python3_version}" \
   all python

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   PYTHONS="python%{python3_version}" \
   prefix=%{_prefix} \
   mandir=%{_mandir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/applydeltaiso
%{_bindir}/applydeltarpm
%{_bindir}/combinedeltarpm
%{_bindir}/drpmsync
%{_bindir}/fragiso
%{_bindir}/makedeltaiso
%{_bindir}/makedeltarpm
%{_bindir}/rpmdumpheader
%{_mandir}/man8/applydeltaiso.8*
%{_mandir}/man8/applydeltarpm.8*
%{_mandir}/man8/combinedeltarpm.8*
%{_mandir}/man8/drpmsync.8*
%{_mandir}/man8/fragiso.8*
%{_mandir}/man8/makedeltaiso.8*
%{_mandir}/man8/makedeltarpm.8*
%doc LICENSE.BSD
#%doc NEWS README

#%files -n python-deltarpm
#%defattr(-,root,root)
#%{python27_sitearch}/_deltarpmmodule.so
#%{python27_sitearch}/deltarpm.py

%files -n python-deltarpm-py3
%defattr(-,root,root)
%{python3_sitearch}/_deltarpmmodule.so
%{python3_sitearch}/deltarpm.py

%changelog
* Sun Nov 07 2021 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Sun Mar 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.2-2mamba
- rebuilt by autoport with build requirements: librpm-devel>=4.16.1.2-1mamba

* Sun Jul 21 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.2-1mamba
- update to 3.6.2

* Wed Aug 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-1mamba
- update to 3.6.1

* Mon Feb 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6-1mamba
- package created using the webbuild interface
